routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Route::group(['middleware' => 'guest'], function () {
    Route::get('/', function () {
        return view('auth/login');
    })->name('login');
});

Auth::routes([
    'register' => false,
    'reset' => false,
    'verify' => false,
]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

//companies
Route::get('/companies', [App\Http\Controllers\CompaniesController::class, 'index'])->name('companies.index');
Route::get('/companies/create', [App\Http\Controllers\CompaniesController::class, 'create'])->name('companies.create');
Route::post('/companies/store', [App\Http\Controllers\CompaniesController::class, 'store'])->name('companies.store');
Route::get('/companies/edit/{id}', [App\Http\Controllers\CompaniesController::class, 'edit'])->name('companies.edit');
Route::put('/companies/update/{id}', [App\Http\Controllers\CompaniesController::class, 'update'])->name('companies.update');
Route::get('/companies/delete/{id}', [App\Http\Controllers\CompaniesController::class, 'delete'])->name('companies.delete');
Route::get('/companies/export', [App\Http\Controllers\CompaniesController::class, 'export'])->name('companies.export');
Route::post('/companies/import', [App\Http\Controllers\CompaniesController::class, 'import'])->name('companies.import');

//employees
Route::get('/employees', [App\Http\Controllers\EmployeesController::class, 'index'])->name('employees.index');
Route::get('/employees/create', [App\Http\Controllers\EmployeesController::class, 'create'])->name('employees.create');
Route::post('/employees/store', [App\Http\Controllers\EmployeesController::class, 'store'])->name('employees.store');
Route::get('/employees/edit/{id}', [App\Http\Controllers\EmployeesController::class, 'edit'])->name('employees.edit');
Route::put('/employees/update/{id}', [App\Http\Controllers\EmployeesController::class, 'update'])->name('employees.update');
Route::get('/employees/delete/{id}', [App\Http\Controllers\EmployeesController::class, 'delete'])->name('employees.delete');
Route::get('/employees/export', [App\Http\Controllers\EmployeesController::class, 'export'])->name('employees.export');
Route::post('/employees/import', [App\Http\Controllers\EmployeesController::class, 'import'])->name('employees.import');

//items
Route::get('/items', [App\Http\Controllers\ItemsController::class, 'index'])->name('items.index');
Route::get('/items/create', [App\Http\Controllers\ItemsController::class, 'create'])->name('items.create');
Route::post('/items/store', [App\Http\Controllers\ItemsController::class, 'store'])->name('items.store');
Route::get('/items/edit/{id}', [App\Http\Controllers\ItemsController::class, 'edit'])->name('items.edit');
Route::put('/items/update/{id}', [App\Http\Controllers\ItemsController::class, 'update'])->name('items.update');
Route::get('/items/delete/{id}', [App\Http\Controllers\ItemsController::class, 'delete'])->name('items.delete');

//sales
Route::get('/sales', [App\Http\Controllers\SellsController::class, 'index'])->name('sales.index');
Route::get('/sales/create', [App\Http\Controllers\SellsController::class, 'create'])->name('sales.create');
Route::post('/sales/store', [App\Http\Controllers\SellsController::class, 'store'])->name('sales.store');
Route::get('/sales/edit/{id}', [App\Http\Controllers\SellsController::class, 'edit'])->name('sales.edit');
Route::put('/sales/update/{id}', [App\Http\Controllers\SellsController::class, 'update'])->name('sales.update');
Route::get('/sales/delete/{id}', [App\Http\Controllers\SellsController::class, 'delete'])->name('sales.delete');

//summaries
Route::get('/summaries', [App\Http\Controllers\SummariesController::class, 'index'])->name('summaries.index');
Route::get('/summaries/view/{id}', [App\Http\Controllers\SummariesController::class, 'view'])->name('summaries.view');

//email
Route::get('email-test', [App\Http\Controllers\JobController::class, 'enqueue'])->name('job.enqueue');

//lang
// if (file_exists(app_path('Http/Controllers/LocalizationController.php')))
//     Route::get('lang/{locale}', [App\Http\Controllers\LocalizationController::class , 'lang'])->name('lang');
// }

Route::get('lang/{locale}', [App\Http\Controllers\LocalizationController::class , 'lang'])->name('lang');

//timezone
Route::get('time/{time}', [App\Http\Controllers\TimezoneController::class , 'changetime'])->name('time');

app/Models/Items.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

use Illuminate\Support\Facades\Session;

class Items extends Model
{
    use HasFactory;
    protected $table = 'items';
    protected $primaryKey = 'itemId';

    protected $fillable = ['name','price'];

    public function sells(){
        return $this->hasMany('App\Models\Sells', 'sellId');
    }

    public function getCreatedAtAttribute($value)
    {
        return Carbon::createFromTimestamp(strtotime($value))
            ->timezone(Session::get('time'))
            ->toDateTimeString();
    }

    public function getUpdatedAtAttribute($value)
    {
        return Carbon::createFromTimestamp(strtotime($value))
            ->timezone(Session::get('time'))
            ->toDateTimeString();
    }
}

resources/views/sales/create.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sales Data | CRM_Test</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.20/datatables.min.css"/>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
</head>
<body>
@extends('layouts.app')
@section('content')
	<div class="container">
        <div class="card">
            <div class="card-header text-center">
               {{trans('sales.crud')}} - <strong>{{trans('sales.create')}}</strong>
            </div>
            <div class="card-body">
                <a href="{{route('sales.index')}}" class="btn btn-primary">{{trans('general.back')}}</a>
                <br/>
                <br/>

				@if(count($errors) > 0)
				<div class="alert alert-danger">
				@foreach ($errors->all() as $error)
				{{ $error }} <br/>
				@endforeach
				</div>
				@endif

                @php
                Use Carbon\Carbon;
                $date = Carbon::now()->toDateTimeString();
                // printf($date);
                @endphp
                    
                <form action="{{route('sales.store')}}" method="POST" enctype="multipart/form-data">
                    {{ csrf_field() }}

                    <input type="text" name="date" required="required" class="form-control" value="@php printf($date) @endphp" hidden>

                    <div class="form-group">
                        <label>{{trans('items.name')}}</label>
                        <select class="form-select counttotal" name="itemId" id="items" required>
                            <option value="" >{{trans('items.choose')}}</option>
                            @foreach ($items as $item)
                            <option value="{{ $item->itemId }}" data-price="{{$item->price}}">{{ $item->name }}</option>
                            @endforeach
                        </select>
                    </div>
 
                    <div class="form-group">
                        <label>{{trans('items.price')}}</label>
						<input type="number" name="price" required="required" class="form-control" readonly>
                    </div>

                    <div class="form-group">
                        <label>{{trans('sales.discount')}}</label>
						<input type="number" name="discount" id="discount" required="required" class="form-control counttotal" placeholder="{{trans('sales.discount')}}...">
                    </div>

                    <div class="form-group">
                        <label>{{trans('general.employees')}}</label>
                        <select class="form-select" name="employeeId" required>
                            <option value="">{{trans('employees.choose')}}</option>
                            @foreach ($employees as $e)
                            <option value="{{ $e->employeeId }}">{{ $e->firstname ." ". $e->lastname }}</option>
                            @endforeach
                        </select>
                    </div>

                    <br/>
                    <h5>{{trans('summaries.pricetotal')}}: <span id="total">0</span></h5>
                    <br/>

                    <div class="form-group">
                        <input type="submit" class="btn btn-success" value="{{trans('general.save')}}">
                    </div>
 
                </form>
            </div>
        </div>
    </div>

<script>

  $('.counttotal').on('change', function(){
    const price = $('#items option:selected').data('price');
    const discount = $("#discount").val() 

    const totalDiscount = (price * discount/100)
    const total = price - totalDiscount;
      
    $('[name=price]').val(price);
    $('#total').text(`Rp ${total}`);
    });

</script>

@endsection
</body>
</html>

resources/views/sales/edit.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sales Data | CRM_Test</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.20/datatables.min.css"/>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
</head>
<body>
@extends('layouts.app')
@section('content')
	<div class="container">
        <div class="card">
            <div class="card-header text-center">
               {{trans('sales.crud')}} - <strong>{{trans('sales.edit')}}</strong>
            </div>
            <div class="card-body">
                <a href="{{route('sales.index')}}" class="btn btn-primary">{{trans('general.back')}}</a>
                <br/>
                <br/>

				@if(count($errors) > 0)
				<div class="alert alert-danger">
				@foreach ($errors->all() as $error)
				{{ $error }} <br/>
				@endforeach
				</div>
				@endif

                <form action="{{route('sales.update',$sells->sellId)}}" method="POST" enctype="multipart/form-data">
                    {{ csrf_field() }}
                    {{ method_field('PUT') }}

                    <input type="text" name="date" required="required" class="form-control" value="{{$sells->date}}" hidden>

                    <div class="form-group">
                        <label>{{trans('items.name')}}</label>
                        <select class="form-select counttotal" name="itemId" id="items" required>
                            <option value="">= {{trans('items.choose')}} =</option>
                            @foreach ($items as $item)
                            <option value="{{ $item->itemId }}"  {{ ( $item->itemId == $sells->itemId) ? 'selected' : '' }} data-price="{{$item->price}}">{{ $item->name }}</option>
                            @endforeach
                        </select>
                    </div>
 
                    <div class="form-group">
                        <label>{{trans('items.price')}}</label>
						<input type="number" name="price" required="required" class="form-control" value="{{$sells->price}}" readonly>
                    </div>

                    <div class="form-group">
                        <label>{{trans('sales.discount')}}</label>
						<input type="number" name="discount" id="discount" required="required" class="form-control counttotal" value="{{$sells->discount}}" placeholder="{{trans('sales.discount')}}...">
                    </div>

                    <div class="form-group">
                        <label>{{trans('general.employees')}}</label>
                        <select class="form-select" name="employeeId" required>
                            <option value="">{{trans('employees.choose')}}</option>
                            @foreach ($employees as $e)
                            <option value="{{ $e->employeeId }}"  {{ ( $e->employeeId == $sells->employeeId) ? 'selected' : '' }}>{{ $e->firstname ." ". $e->lastname }}</option>
                            @endforeach
                        </select>
                    </div>

                    <br/>
                    <h5>{{trans('summaries.pricetotal')}}: <span id="total">{{"Rp "}}{{$sells->price - ($sells->price * $sells->discount / 100)}}</span></h5>
                    <br/>

                    <div class="form-group">
                        <input type="submit" class="btn btn-success" value="{{trans('general.save')}}">
                    </div>
 
                </form>
            </div>
        </div>
    </div>

<script>
    $('.counttotal').on('change', function(){
    const price = $('#items option:selected').data('price');
    const discount = $("#discount").val() 

    const totalDiscount = (price * discount/100)
    const total = price - totalDiscount;
      
    $('[name=price]').val(price);
    $('#total').text(`Rp ${total}`);
    });
</script>

@endsection

</body>
</html>

resources/views/sales/index.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sales Data | CRM_Test</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/dt-1.10.20/datatables.min.css"/>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
@extends('layouts.app')
@section('content')
    <div class="container">
        <a href="{{route('home')}}" class="btn btn-primary">{{trans('general.home')}}</a>
        <br/>
        <br/>
        <div class="card">
            <div class="card-header text-center">
                {{trans('sales.header')}}
            </div>
            <div class="card-body">
                <a href="{{route('sales.create')}}" class="btn btn-primary">{{trans('general.input')}}</a>
                <br/>
                <br/>

                {{-- filter:start --}}
                <form class="row g-3" method="GET">
                    {{-- Date Range --}}
                    <div class="col-md-6">
                        <label>{{trans('general.startdate')}}</label>
                        <input type="date" id="Sstart" class="form-control" name="start_date" value="{{ request('start_date') }}">
                    </div>
                    <div class="col-md-6">
                        <label>{{trans('general.enddate')}}</label>
                        <input type="date" id="Send" class="form-control" name="end_date" value="{{ request('end_date') }}">
                    </div>
                    
                    <div class="col-md-2">
                        <input name="Sname" id="Sname" value="{{ request('Sname') }}" type="search" class="form-control"
                            placeholder="{{trans('items.name')}}...">
                    </div>
                    <div class="col-md-2">
                        <input name="Sprice" id="Sprice" value="{{ request('Sprice') }}" type="search" class="form-control"
                            placeholder="{{trans('items.price')}}...">
                    </div>
                    <div class="col-md-2">
                        <input name="Sdiscount" id="Sdiscount" value="{{ request('Sdiscount') }}" type="search" class="form-control"
                            placeholder="{{trans('sales.discount')}}...">
                    </div>
                    <div class="col-md-2">
                        <input name="Semployees" id="Semployees" value="{{ request('Semployees') }}" type="search" class="form-control"
                            placeholder="{{trans('general.employees')}}...">
                    </div>
                    <div class="col-md-2">
                        <button type="submit" class="btn btn-primary mb-3">{{trans('general.search')}}</button>
                        <button type="submit" class="btn btn-danger mb-3 reset-btn">{{trans('general.reset')}}</button>
                    </div>
                </form>

                <table id="data_users_reguler" class="table table-striped display" style="width:100%">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>{{trans('general.date')}}</th>
                            <th>{{trans('items.name')}}</th>
                            <th>{{trans('items.price')}}</th>
                            <th>{{trans('sales.discount')}}</th>
                            <th>{{trans('general.employees')}}</th>
                            <th>{{trans('general.createdat')}}</th>
                            <th>{{trans('general.updatedat')}}</th>
                            <th>{{trans('general.option')}}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php 
                        $i = 1;
                        @endphp
                        @foreach ($sells as $key => $s)
                        <tr>
                            <td>{{ $i++ }}</td>
                            <td>{{ $s->date }}</td>
                            <td>{{ $s->items->name }}</td>
                            <td>{{ number_format($s->items->price,2) }}</td>
                            <td>{{ $s->discount }}%</td>
                            <td>{{ $s->employees->firstname ." ". $s->employees->lastname }}</td>
                            <td>{{ $s->created_at}}</td>
                            <td>{{ $s->updated_at}}</td>
                            <td>
				                <a href="{{route('sales.edit', $s->sellId) }}" class="btn btn-warning">{{trans('general.edit')}}</a>
				                <a href="{{route('sales.delete', $s->sellId) }}" class="btn btn-danger">{{trans('general.delete')}}</a>
			                </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
                    
            </div>
        </div>
    </div>

<script>
$(document).ready(function() {
   var table = $('#data_users_reguler').DataTable({searching:false});
} );

$('.reset-btn').on('click', function() {
    $('#Sstart').val(null).trigger("change");
    $('#Send').val(null).trigger("change");
    $('#Sname').val(null).trigger("change");
    $('#Sprice').val(null).trigger("change");
    $('#Sdiscount').val(null).trigger("change");
    $('#Semployees').val(null).trigger("change");
});
</script>

@endsection

</body>
</html>